你好,游客 登录 注册 搜索
背景:
阅读新闻

FFmpeg 'libavformat/mov.c'拒绝服务漏洞(CVE-2017-14222)

[日期:2017-09-13] 来源:Linux社区  作者:Linux [字体: ]
FFmpeg 'libavformat/mov.c'拒绝服务漏洞(CVE-2017-14222)


发布日期:2017-09-09
更新日期:2017-09-13

受影响系统:

FFmpeg FFmpeg 3.3.3

描述:


BUGTRAQ  ID: 100701
CVE(CAN) ID: CVE-2017-14222

FFmpeg是一个免费的可以执行音讯和视讯多种格式的录影、转档、串流功能的软件。

FFmpeg 3.3.3版本libavformat/mov.c中,由于缺少文件结尾检查,read_tfra()存在拒绝服务漏洞,可导致大量CPU及内存耗尽。

<*来源:Xiaohei
        Wangchu
  *>

建议:


厂商补丁:

FFmpeg
------
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

https://github.com/FFmpeg/FFmpeg/commit/9cb4eb772839c5e1de2855d126bf74ff16d13382

本文永久更新链接地址http://www.linuxidc.com/Linux/2017-09/146854.htm

linux
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款